VBIWrappingType (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.io.mxf

## Enum VBIWrappingType

- java.lang.Object
- - java.lang.Enum<VBIWrappingType>
  - - tv.amwa.maj.io.mxf.VBIWrappingType

- All Implemented Interfaces:
    Serializable, Comparable<VBIWrappingType>

      public enum VBIWrappingType
      extends Enum<VBIWrappingType>

  VBI wrapping type enumeration, as per SMPTE-436M.

  See Also:
    `VBILine`, `VBISource`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `VBIField1` Field 1 of an interlaced picture.
    `VBIField2` Field 2 of an interlaced picture.
    `VBIFrame` Interlaced or PsF frame.
    `VBIProgressive` Progressive frame.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static VBIWrappingType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static VBIWrappingType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### VBIFrame

          public static final VBIWrappingType VBIFrame

      Interlaced or PsF frame.

    - #### VBIField1

          public static final VBIWrappingType VBIField1

      Field 1 of an interlaced picture.

    - #### VBIField2

          public static final VBIWrappingType VBIField2

      Field 2 of an interlaced picture.

    - #### VBIProgressive

          public static final VBIWrappingType VBIProgressive

      Progressive frame.

  - ### Method Detail

    - #### values

          public static VBIWrappingType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (VBIWrappingType c : VBIWrappingType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static VBIWrappingType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.